/* File:      density.h
   Date:      12/31/01  (written fall 2001)
   Author:    C. Paciorek
   Purpose:   header file for density.C
   Compile:   
   Usage:     
   Arguments: 
   Requires:  
   Reference: 
*/

const double DENSITY_ERROR=99999.0;
const double NEG_INFTY=-99999.0;

double lognormal_dens(double arg,double mean, double sd);

double gamma_dens(double arg,double alpha,double beta);

double invgamma_dens(double arg,double alpha,double beta);

double normal_dens(double arg,double mean, double sd);

double mvn_dens(int size,double* values,double sd);

/*
double mvn_dens(int size,LaVectorDouble* values,double sd);
*/
double uniform_dens(double arg,double low,double up);

double log_uniform(double arg,double low,double up);
