/* File:      permtools.h
   Date:      1/02/02  (written fall 2001)
   Author:    C. Paciorek
   Purpose:   header file for permtools.C
   Compile:   
   Usage:     
   Arguments: 
   Requires:  
   Reference: modified from lib/spars.ext (taken off the web)
*/

const int PERMSTART0=0;  /* C-style indexing */
const int PERMSTART1=1;  /* fortran-style indexing */

/* permstart indicates if the values in perm and invp are 0,...,N-1 or 1,...,N */

void invrse(int *n, int *perm, int *invp,int permstart);
/*
void permrv(int *n, LaVectorDouble *rhs, int *perm, int permstart);
*/

template<class T>
void permrv(int *n, T *rhs, int *perm, int permstart);

void permrv(int *n, double *rhs, int *perm, int permstart);
