/* File:      projection.h
   Date:      01/03/02  (written fall 2001)
   Author:    C. Paciorek
   Purpose:   header file for projection.C
   Compile:   
   Usage:     
   Arguments: 
   Requires:  
   Reference: 
*/

/* all taken from GMT: */
double GMT_mag3v (double *a);
double GMT_dot3v (double *a, double *b);
void GMT_normalize3v (double *a);
void GMT_cross3v (double *a, double *b, double *c);
void GMT_geo_to_cart (double *alat, double *alon, double *a, int rads);
void sincos (double a, double *s, double *c);
void GMT_cart_to_geo (double *alat, double *alon, double *a, int rads);
void	make_euler_matrix(double *p, double *e, double *theta, int rads);
void	matrix_3v(double *a, double *x, double *b);
void	sphere_project_setup(double alat, double alon, double *a, double blat, double blon, double *b, double *azim, double *p, double *c, int two_pts, int rads); 
/* **************************** */
void midpoint(double a_y, double a_x, double b_y, double b_x,double *mid_lat,double *mid_lon);  /* modified GMT function */
void project(double baselat_val, double baselon_val, double xlat,double xlon,double ylat, double ylon, double *u,double *v,int units);  /* written by CJP to use Proj.4 cartographic library routines  */
